-- Copyright (c) 2024 - Ognjen 'xolatile' Milan Robovic
--
-- GNU General Public Licence (version 3 or later)

with core, effect;

package might is

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	type school is (
	);

	type enumeration is (
	);

                                             ------------------------------------------------------------------------------------------

	subtype level_limit is natural range 0 .. 6;

	type information is record
		name  : core.short_string;
		kind  : school;
		level : level_limit;
		evoke : effect.enumeration;
		text  : core.long_string;
	end record;

                                             ------------------------------------------------------------------------------------------

	count : constant natural := enumeration'pos (enumeration'last) + 1;

	trait : constant array (enumeration) of information := (
	);

                                             ------------------------------------------------------------------------------------------

	procedure configure;

	procedure icon (index : in enumeration; x, y : in integer);
	procedure view (index : in enumeration; x, y : in integer);

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

end might;
